%define name live
%define version 2013.09.27


Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
Source0:	http://live555.com/liveMedia/public/%{name}.%version.tar.gz
Patch0: 	live-2013.01.04-optflags.patch
#Patch1: 	live-pic.patch
Patch2: 	live-synchronous-interface.patch

License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.live555.com/liveMedia/
Summary:	LIVE555 Streaming Media Library
Summary(de): LIVE555 Streaming Media Bibliothek
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
This code forms a set of C++ libraries for multimedia streaming, using
open standard protocols (RTP/RTCP, RTSP, SIP). These libraries - which
can be compiled for Unix (including Linux and Mac OS X), Windows, and
QNX (and other POSIX-compliant systems) - can be used to build
streaming applications.

This package contains the example apps of LIVE555.

#german
%description -l de
Dieser Code bildet eine Reihe von C-Bibliotheken für Multimedia-Streaming 
mit offene Standardprotokollen (RTP/RTCP, RTSP, SIP). Diese Bibliotheken - 
denen für UNIX (einschließlich Linux und Mac OS X), Windows, QNX (und 
andere POSIX-kompatible Systeme) kompiliert werden können - können zum 
Erstellen Streaming-Anwendungen verwendet werden. 

Dieses Paket enthält die Beispiel Anwendungen der LIVE555.

%package devel
Summary: Development files of the LIVE555 Streaming Media Library
Summary(de): Entwicklung Dateien von der LIVE555 Streaming Media Bibliothek
Group: Development/C++

%description devel
This code forms a set of C++ libraries for multimedia streaming, using
open standard protocols (RTP/RTCP, RTSP, SIP). These libraries - which
can be compiled for Unix (including Linux and Mac OS X), Windows, and
QNX (and other POSIX-compliant systems) - can be used to build
streaming applications.

This package contains all needed files to build programs based on LIVE555.

#german
%description devel -l de
Dieser Code bildet eine Reihe von C-Bibliotheken für Multimedia-Streaming 
mit offene Standardprotokollen (RTP/RTCP, RTSP, SIP). Diese Bibliotheken - 
denen für UNIX (einschließlich Linux und Mac OS X), Windows, QNX (und 
andere POSIX-kompatible Systeme) kompiliert werden können - können zum 
Erstellen Streaming-Anwendungen verwendet werden.

Dieses Paket enthält alle erforderliche Dateien um Programme auf 
der Grundlage von LIVE555 zu erstellen. 

%prep
%setup -q -n %{name}
%apply_patches
#%patch0 -p1 -b .optflags
#%patch1 -p1 -b .pic
#%patch2 -p1 -b .synchronous-interface

rm -f testProgs/qtParse

%build
%setup_compile_flags
./genMakefiles linux
make clean
make CFLAGS="%{optflags} -DRTSPCLIENT_SYNCHRONOUS_INTERFACE -fPIC"


%install
rm -rf $RPM_BUILD_ROOT
for dir in BasicUsageEnvironment groupsock liveMedia UsageEnvironment; do
  mkdir -p %{buildroot}%{_includedir}/$dir %{buildroot}%{_libdir}
  cp -r $dir/*.a %{buildroot}%{_libdir}/
  cp -r $dir/include/* %{buildroot}%{_includedir}/$dir
done
mkdir -p %{buildroot}%{_bindir}
for testprog in `find testProgs mediaServer -type f -perm 755`; do
  install $testprog %{buildroot}%{_bindir}
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/MPEG2TransportStreamIndexer
%{_bindir}/live555MediaServer
%{_bindir}/openRTSP
%{_bindir}/playSIP
%{_bindir}/sapWatch
%{_bindir}/test*
%{_bindir}/vobStreamer

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_includedir}/*


%changelog
* Sun Sep 29 2013 pinoc <vogtpet at gmail.com> 2013.09.27-1pclos2013
- 2013.09.27
- added patch2 from MGA

* Sat May 04 2013 billybot <billybot> 2013.01.04-1pclos2013
- update for vlc 2.0.6

* Tue Oct 16 2012 Neal <nealbrks0 at gmail dot com> 2012.09.27-1pclos2012
- process

* Mon Oct 08 2012 gseaman <galen.seaman at comcast.net> 2012.09.27-1gseaman2012
- update
- moved libs and includes to standard directories

* Fri Feb 24 2012 Neal <nealbrks0 at gmail dot com> 2012.02.04-1pclos2012
- process

* Thu Feb 23 2012 leiche <meisssw01 at gmail.com> 2012.02.04-1pclos2012
- 2012.02.04

* Mon Jan 04 2010 maik3531 <maik3531 at yahoo dot de> 2009.11.27-1pclos2010
- New version 2009.11.27
- add german description

* Mon Aug 25 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 2008.07.25-1pclos2007
- New version 2008.07.25

* Fri Oct 26 2007 Neverstopdreaming <neverstopdreaming@gmail.com> 2007.08.03a-1pclos2007
- new release

* Mon Nov 06 2006 Texstar <texstar@houston.rr.com> 2006.08.26-2pclos2007
- Build for PCLinuxOS 2007
